import 'package:flutter/material.dart';
import 'package:tanami_app/features/securePin/presentation/widgets/pin_keypad_section.dart';
import 'package:tanami_app/features/securePin/presentation/widgets/pin_top_section.dart';

import '../../../../core/styles/app_color.dart';

class PinLayout extends StatelessWidget {
  final String fromScreen;
  const PinLayout({super.key, required this.fromScreen});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: AppColor.plainWhite,
        body: LayoutBuilder(builder: (context, constraints) {
          return SingleChildScrollView(
            child: ConstrainedBox(
              constraints: BoxConstraints(
                minHeight: constraints.maxHeight,
              ),
              child: Column(
                children: [
                  PinTopSection(fromScreen: fromScreen),
                  PinKey(
                    fromScreen: fromScreen,
                  ),
                ],
              ),
            ),
          );
        }));
  }
}
